import request from '../../utils/request'

/**
 * 获取网站导航分页
 * 
 */
export function getWeChatConfigInfo(data) {
  return request({
    url: '/QYWeChat/GetWeChatConfigInfo',
    method: 'post',
    data
  })
}

/**
 * 获取网站导航分页
 * 
 */
export function setWeChatConfig(data) {
  return request({
    url: '/QYWeChat/SetWeChatConfig',
    method: 'post',
    data
  })
}

/**
 * 初始化 同步部门至企业微信
 * 
 */
export function setSyncEduDepartment(data) {
  return request({
    url: '/QYWeChat/SetSyncEduDepartment',
    method: 'post',
    data
  })
}
/**
 * 初始化 同步员工至企业微信
 * 
 */
export function SetSynvEduEmployee(data) {
  return request({
    url: '/QYWeChat/SetSynvEduEmployee',
    method: 'post',
    data
  })
}
/**
 * 分组管理 素材分组分页列表
 * 
 */
 export function getWeChatMediumGroupPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatMediumGroupPageList',
    method: 'post',
    data
  })
}
/**
 * 分组管理 新增修改分组
 * 
 */
 export function setWeChatMediumGroup(data) {
  return request({
    url: '/QYWeChat/SetWeChatMediumGroup',
    method: 'post',
    data
  })
}

/**
 * 分组管理 新增修改分组
 * 
 */
 export function delWeChatMediumGroup(data) {
  return request({
    url: '/QYWeChat/DelWeChatMediumGroup',
    method: 'post',
    data
  })
}

/**
 * 素材管理 获取素材类型枚举列表
 * 
 */
 export function getMediumTypeEnumList(data) {
  return request({
    url: '/QYWeChat/GetMediumTypeEnumList',
    method: 'post',
    data
  })
}

/**
 * 素材管理 素材分组列表
 * 
 */
 export function getWeChatMediumGroupList(data) {
  return request({
    url: '/QYWeChat/GetWeChatMediumGroupList',
    method: 'post',
    data
  })
}

/**
 * 素材管理 获取素材分页列表
 * 
 */
 export function getWeChatMediumPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatMediumPageList',
    method: 'post',
    data
  })
}

/**
 * 素材管理 新增修改素材
 * 
 */
 export function setWeChatMediumInfo(data) {
  return request({
    url: '/QYWeChat/SetWeChatMediumInfo',
    method: 'post',
    data
  })
}


/**
 * 素材管理 删除素材
 * 
 */
 export function delWecharMediumInfo(data) {
  return request({
    url: '/QYWeChat/DelWecharMediumInfo',
    method: 'post',
    data
  })
}

/**
 * 素材管理 素材移动
 * 
 */
 export function setWecharMediumMore(data) {
  return request({
    url: '/QYWeChat/SetWecharMediumMore',
    method: 'post',
    data
  })
}

/**
 * 获取欢迎语分页列表
 * 
 */
 export function getWeChatWelcomesPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatWelcomesPageList',
    method: 'post',
    data
  })
}

/**
 * 新增修改欢迎语
 * 
 */
 export function setWeChatWelcomesInfo(data) {
  return request({
    url: '/QYWeChat/SetWeChatWelcomesInfo',
    method: 'post',
    data
  })
}

/**
 * 删除欢迎语
 * 
 */
 export function delWechatWelcomesInfo(data) {
  return request({
    url: '/QYWeChat/DelWechatWelcomesInfo',
    method: 'post',
    data
  })
}
/**
 * 获取欢迎语详情
 * 
 */
 export function getWeChatWelcomesInfo(data) {
  return request({
    url: '/QYWeChat/GetWeChatWelcomesInfo',
    method: 'post',
    data
  })
}

/**
 * 获取渠道分组分页列表
 * 
 */
 export function getWeChatChannelGroupPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelGroupPageList',
    method: 'post',
    data
  })
}

/**
 * 新增修改渠道分组
 * 
 */
 export function setWeChatChannelGroup(data) {
  return request({
    url: '/QYWeChat/SetWeChatChannelGroup',
    method: 'post',
    data
  })
}
/**
 * 删除渠道分组
 * 
 */
 export function delWeChatChannelGroup(data) {
  return request({
    url: '/QYWeChat/DelWeChatChannelGroup',
    method: 'post',
    data
  })
}


/**
 * 获取客户标签/分组 列表
 * 
 */
 export function getWeChatLableList(data) {
  return request({
    url: '/QYWeChat/GetWeChatLableList',
    method: 'post',
    data
  })
}


/**
 * 新增修改分组/标签
 * 
 */
 export function setWeChatLable(data) {
  return request({
    url: '/QYWeChat/SetWeChatLable',
    method: 'post',
    data
  })
}

/**
 * 删除分组/标签
 * 
 */
 export function delWeChatLable(data) {
  return request({
    url: '/QYWeChat/DelWeChatLable',
    method: 'post',
    data
  })
}
/**
 * 删除分组/标签
 * 
 */
 export function getWeChatChannelGroupList(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelGroupList',
    method: 'post',
    data
  })
}
/**
 * 删除分组/标签
 * 
 */
 export function getWeChatChannelPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelPageList',
    method: 'post',
    data
  })
}
/**
 * 保存渠道活码
 * 
 */
 export function setWeChatChannelInfo(data) {
  return request({
    url: '/QYWeChat/SetWeChatChannelInfo',
    method: 'post',
    data
  })
}
/**
 * 渠道活码 详情
 * 
 */
 export function getWeChatChannelInfo(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelInfo_V2',
    method: 'post',
    data
  })
}

/**
 * 初始化同步企业微信标签
 * 
 */
 export function setSyncWeChatLable(data) {
  return request({
    url: '/QYWeChat/SetSyncWeChatLable',
    method: 'post',
    data
  })
}

/**
 * 初始化同步企业微信标签
 * 
 */
 export function getWeChatChannelCoustomerPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelCoustomerPageList',
    method: 'post',
    data
  })
}

/**
 * 获取渠道码统计 - 今日新增
 * 
 */
 export function getWeChatChannelStatisticsForDay(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelStatisticsForDay',
    method: 'post',
    data
  })
}
/**
 * 获取渠道码统计 - 曲线图统计
 * 
 */
 export function getWeChatChannelStatistics(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelStatistics',
    method: 'post',
    data
  })
}
/**
 * 获取渠道码统计 - 明细列表
 * 
 */
 export function getWeChatChannelStatisticsPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelStatisticsPageList',
    method: 'post',
    data
  })
}
/**
 * 获取离职人员未交接客服列表
 * 
 */
 export function getLeaveUserClientList(data) {
  return request({
    url: '/QYWeChat/GetLeaveUserClientList',
    method: 'post',
    data
  })
}
/**
 * 获取离职人员未交接客服列表
 * 
 */
 export function setLeaveUserCustomerTransfer(data) {
  return request({
    url: '/QYWeChat/SetLeaveUserCustomerTransfer',
    method: 'post',
    data
  })
}

/**
 * 获取离职人员未交接客服列表
 * 
 */
 export function setUserCoustomerTransfer(data) {
  return request({
    url: '/QYWeChat/SetUserCoustomerTransfer',
    method: 'post',
    data
  })
}

/**
 * 获取客户字段列表
 * 
 */
 export function getCustomerFiledList(data) {
  return request({
    url: '/QYCustomer/GetCustomerFiledList',
    method: 'post',
    data
  })
}
/**
 * 设置字段状态
 * 
 */
 export function setCustomerFiledState(data) {
  return request({
    url: '/QYCustomer/SetCustomerFiledState',
    method: 'post',
    data
  })
}
/**
 * 获取客户子段输入类型枚举
 * 
 */
 export function getCustomerFieldInputTypeEnumList(data) {
  return request({
    url: '/QYCustomer/GetCustomerFieldInputTypeEnumList',
    method: 'post',
    data
  })
}
/**
 * 获取客户子段类型枚举
 * 
 */
 export function getCustomerFieldTypeEnumList(data) {
  return request({
    url: '/QYCustomer/GetCustomerFieldTypeEnumList',
    method: 'post',
    data
  })
}

/**
 * 新增修改客户字段
 * 
 */
 export function setCustomerFiledInfo(data) {
  return request({
    url: '/QYCustomer/SetCustomerFiledInfo',
    method: 'post',
    data
  })
}

/**
 * 获取客户阶段流程列表
 * 
 */
 export function getCustomerStageFlowList(data) {
  return request({
    url: '/QYCustomer/GetCustomerStageFlowList',
    method: 'post',
    data
  })
}


/**
 * 获取客户阶段列表
 * 
 */
 export function getCustomerStageList(data) {
  return request({
    url: '/QYCustomer/GetCustomerStageList',
    method: 'post',
    data
  })
}
/**
 * 新增修改客户阶段
 * 
 */
 export function setCustomerStageInfo(data) {
  return request({
    url: '/QYCustomer/SetCustomerStageInfo',
    method: 'post',
    data
  })
}

/**
 * 保存客户阶段流程
 * 
 */
 export function setCustomerStageFlowInfo(data) {
  return request({
    url: '/QYCustomer/SetCustomerStageFlowInfo',
    method: 'post',
    data
  })
}
/**
 * 获取客户阶段流程详情
 * 
 */
 export function getCustomerStageFlowInfo(data) {
  return request({
    url: '/QYCustomer/GetCustomerStageFlowInfo',
    method: 'post',
    data
  })
}
/**
 * 设置客户阶段流程状态
 */
 export function setCustomerStageFlowState(data) {
  return request({
    url: '/QYCustomer/SetCustomerStageFlowState',
    method: 'post',
    data
  })
}
/**
 * 验证该阶段是否可以删除
 */
 export function validataCustomerStageDel(data) {
  return request({
    url: '/QYCustomer/ValidataCustomerStageDel',
    method: 'post',
    data
  })
}
/**
 * 验证阶段输单/无效的 原因选项是否可以删除
 */
 export function validataCustomerCauseDel(data) {
  return request({
    url: '/QYCustomer/ValidataCustomerCauseDel',
    method: 'post',
    data
  })
}
/**
 * 获取部门Id
 */
 export function getEmployeeAddrBook(data) {
  return request({
    url: '/User/GetEmployeeAddrBook',
    method: 'post',
    data
  })
}

/**
 * 离职人员交接订单
 * 
 */
 export function SetUserLeaveOrderCareOf(data) {
  return request({
    url: '/user/SetUserLeaveOrderCareOf',
    method: 'post',
    data
  })
}


/**
 * 协助老师转交
 * 
 */
export function SetUserLeaveTearchCareOf(data) {
  return request({
    url: '/user/SetUserLeaveTearchCareOf',
    method: 'post',
    data
  })
}

/**
 * 获取客户添加方式枚举
 */
 export function getCustomerAddWayEnumList(data) {
  return request({
    url: '/QYCustomer/GetCustomerAddWayEnumList',
    method: 'post',
    data
  })
}

//素材聊表
/**
 * 获取素材类型枚举列表
 */

export function GetContributeMediumType(data) {
  return request({
    url: '/QYContribute/GetContributeMediumTypeEnumList',
    method: 'post',
    data
  })
}

/**
 * 获取素材分页列表
 */

export function GetContributeMediumPage(data) {
  return request({
    url: '/QYContribute/GetContributeMediumPageList',
    method: 'post',
    data
  })
}

/**
 * 获取平台类型
 */

export function GetContributePlatfrom(data) {
  return request({
    url: '/QYContribute/GetContributePlatfromList',
    method: 'post',
    data
  })
}

/**
 * 新增修改素材
 */

export function SetContributeMediumInfo(data) {
  return request({
    url: '/QYContribute/SetContributeMediumInfo',
    method: 'post',
    data
  })
}

/**
 * 素材分组转移
 */

export function SetContributeMediumMoveGroup(data) {
  return request({
    url: '/QYContribute/SetContributeMediumMoveGroup',
    method: 'post',
    data
  })
}

/**
 * 获取素材分组下拉列表
 */

export function GetContributeMediumGroupList(data) {
  return request({
    url: '/QYContribute/GetContributeMediumGroupList',
    method: 'post',
    data
  })
}

/**
 * 批量删除素材
 */

export function DelContributeMediumBatch(data) {
  return request({
    url: '/QYContribute/DelContributeMediumBatch',
    method: 'post',
    data
  })
}


/**
 * 获取小程序分页列表
 */

export function GetContributeAppletPageList(data) {
  return request({
    url: '/QYContribute/GetContributeAppletPageList',
    method: 'post',
    data
  })
}

/**
 * 新增修改小程序信息
 */

export function SetContributeApplet(data) {
  return request({
    url: '/QYContribute/SetContributeApplet',
    method: 'post',
    data
  })
}

/**
 * 删除小程序
 */

export function DelContributeApplet(data) {
  return request({
    url: '/QYContribute/DelContributeApplet',
    method: 'post',
    data
  })
}














